Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 540539 - Review Request: gpdftext - Ebook PDF editor
Summary: Review Request: gpdftext - Ebook PDF editor
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-11-23 15:54 UTC by Rahul Sundaram
Modified: 2013-03-13 05:46 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-17 15:26:47 UTC


Attachments (Terms of Use)

Description Rahul Sundaram 2009-11-23 15:54:26 UTC
Spec URL: http://sundaram.fedorapeople.org/packages/gpdftext.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/gpdftext-0.0.2-1.fc12.src.rpm
Description: 

gPDFText is a text editor that opens PDF documents for ebook readers, 
converts the text contents into plain ASCII text, restores the original 
paragraphs and removes unwanted line breaks to allow easier zooming on the 
reader.

Comment 1 Rahul Sundaram 2009-11-24 00:16:55 UTC
Scratch build at

http://koji.fedoraproject.org/koji/taskinfo?taskID=1826212

Comment 2 Thomas Spura 2009-11-29 00:34:12 UTC
Just a few comments for now:

- Why do you provide a own desktop file?
  The original desktop file will be translated, your provided one probably never.
  You should patch the desktop file and send your patch upstream to correct the
  missing ';'...

- The desktop file contains a mime type:
  see https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database

Comment 3 Rahul Sundaram 2009-11-30 07:47:35 UTC
Yes, upstream has been notified about the problems in the supplied desktop file and it has been fixed for the upstream release. It is not just the missing semi colons. I have provided my own as a temporary workaround

update-desktop-database has been added. 

http://sundaram.fedorapeople.org/packages/gpdftext.spec
http://sundaram.fedorapeople.org/packages/gpdftext-0.0.2-2.fc12.src.rpm

Comment 4 Christoph Wickert 2009-11-30 08:13:08 UTC
Why not use a quick sed fix as described in
https://fedoraproject.org/wiki/PackageMaintainers/PackagingTricks#.desktop_files ?

Comment 5 Rahul Sundaram 2009-11-30 14:14:30 UTC
I prefer not using sed since the file can change upstream without me noticing with undesirable side effects. Anyway, it is temporary workaround since upstream is releasing a new version soon.

Comment 6 Fabian Affolter 2010-03-02 13:48:37 UTC
0.1.0 was released some times ago.

Comment 7 Fabian Affolter 2010-06-15 14:41:30 UTC
0.1.1 is out.


Note You need to log in before you can comment on or make changes to this bug.